Subject: [Fot] TR3 Steering box rebuild binding up

From: Steven Belfer via Fot <[email-masked]>
Date: Sat, 2 Mar 2019 15:43:01 -0800

Friends,
In an attempt to reduce free play on center in my TR3, I rebuilt my steering box. I replaced the bronze bushing, honed it to fit, I replaced the pin with a new one on the rocker shaft. I put in new bearings, shimmed the front plate and put it back in the car.  On jack stands, it works great but when it’s in the ground, it binds up and I can barely turn the steering wheel. 

It moans and groans and feels bound up in the worm gear. 

What’s going on? I’m going nuts

~Steve

_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/fot
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]